Вопрос по javascript, jquery – Как заставить jQuery работать с Netscape 7 и 8

0

Netscape не может прочитать много написанного jQuery. Какие шаги вы предпринимаете, чтобы их преодолеть, и какую долю рынка занимают пользователи netscape?

Есть ли у вас какие-либо данные, свидетельствующие о том, что аудитория вашего сайта использует Netscape 7 & amp; 8? Если нет, не беспокойтесь об этих двух. montrealist

Ваш Ответ

3   ответа
0

Сказав это, я должен признать, что jquery не работает на многих сайтах, в то время как прототип работает, в моем древнем Konqueror 3.5.10, так что, возможно, здесь есть шаблон.

5

Шаги, которые я бы предпринял:

  1. Let it fail
  2. Wait for Netscape users to notice they are using a long dead browser with security holes in it

Доля рынка для Netscape настолько близка к нулю, насколько это важно.

0

Хотя я вырос на Netscape ;-) ...its no longer maintained (R.I.P)

Таким образом, все, что я "поддерживаю для всех браузеров" мантра - поддержка пользователей уже "мертвых" технология кажется сложной задачей.

IIRC,jQuery support matrix основывается на поддержке последней поддерживаемой основной версии основного браузера (и 1-го уровня предыдущего).Netscape 7 and 8 are both excluded from this list.

Я хотел бы предложить простой "Пожалуйста, обновите" обратите внимание на сайт ... и поскольку пользователи находятся в Netscape, Firefox будет очень совместимым путем для обновления, поскольку концепции и макет очень похожи (например, закладки, параметры контекстного меню и т. д.)

Таким образом, предоставление ссылки на скачивание для Firefox 3 обеспечит пользователям плавный путь обновления.

Может быть, просто простой iframe сэтот будет хорошо работать

Похожие вопросы